<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_rt_2024-11-01.xsd#rol_CTELabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altTotalLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/positiveLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altPositiveLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/negativeLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altNegativeLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_DescriptionAboutRoundingFinancialInformation" xlink:label="DescriptionAboutRoundingFinancialInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" xlink:label="ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" xlink:label="GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" xlink:label="ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" xlink:label="ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_LossOnStoreClosingsOtherOperatingExpensesIFRS" xlink:label="LossOnStoreClosingsOtherOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_EquipmentAndSuppliesExpensesSGA" xlink:label="EquipmentAndSuppliesExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_NotesRegardingCostOfSalesTextBlock" xlink:label="NotesRegardingCostOfSalesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_GovernmentGrantsNOI" xlink:label="GovernmentGrantsNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ReversalOfAllowanceForDoubtfulReceivablesEI" xlink:label="ReversalOfAllowanceForDoubtfulReceivablesEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" xlink:label="AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_OtherEquityInstrumentsEquityIFRS" xlink:label="OtherEquityInstrumentsEquityIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_GovernanceHumanCapitalTextBlock" xlink:label="GovernanceHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_StrategyHumanCapitalTextBlock" xlink:label="StrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:label="MetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_RiskManagementHumanCapitalTextBlock" xlink:label="RiskManagementHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" xlink:label="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" xlink:label="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:label="PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:label="CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" xlink:label="DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_AwataTakayaMember" xlink:label="AwataTakayaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_SugiyamaTakashiMember" xlink:label="SugiyamaTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_YamaguchiSatoshiMember" xlink:label="YamaguchiSatoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_TanakaKenichiMember" xlink:label="TanakaKenichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ShofuRiekoMember" xlink:label="ShofuRiekoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_UmekiToshiyasuMember" xlink:label="UmekiToshiyasuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_UmedaHiroakiMember" xlink:label="UmedaHiroakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_KataokaMakiMember" xlink:label="KataokaMakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_MarugameSeimenSegmentReportableSegmentMember" xlink:label="MarugameSeimenSegmentReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_OthersSegmentReportableSegmentMember" xlink:label="OthersSegmentReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_OverseasSegmentReportableSegmentMember" xlink:label="OverseasSegmentReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_AllOtherSegmentsNotReportableIFRSAbstract" xlink:label="AllOtherSegmentsNotReportableIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_OtherEquityInstrumentsIFRSMember" xlink:label="OtherEquityInstrumentsIFRSMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_PutOptionGrantedNonCurrentAssetSSIFRS" xlink:label="PutOptionGrantedNonCurrentAssetSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_FranchiseAgreementAcquisitionCostIFRS" xlink:label="FranchiseAgreementAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_FranchiseAgreementIFRS" xlink:label="FranchiseAgreementIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ProfitLossBeforeTaxIFRS" xlink:label="ProfitLossBeforeTaxIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ProfitLossIFRS" xlink:label="ProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_EarningsLossPerShareIFRSAbstract" xlink:label="EarningsLossPerShareIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_CurrentMaturityBondsCLIFRSIFRS" xlink:label="CurrentMaturityBondsCLIFRSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" xlink:label="DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:label="ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:label="RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_GovernmentGrantIncomeIFRS" xlink:label="GovernmentGrantIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GovernmentGrantIncomeIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_GovernmentGrantIncomeIFRS">Government grant income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernmentGrantIncomeIFRS" xlink:to="label_GovernmentGrantIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:label xlink:type="resource" xlink:label="label_TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS">Total of items that will not be reclassified to profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="label_TotalOfItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:label xlink:type="resource" xlink:label="label_TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS">Total of items that may be reclassified to profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="label_TotalOfItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract" xlink:label="ComprehensiveIncomeAttributableToIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ComprehensiveIncomeAttributableToIFRSAbstract" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ComprehensiveIncomeAttributableToIFRSAbstract">Comprehensive income attributable to</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeAttributableToIFRSAbstract" xlink:to="label_ComprehensiveIncomeAttributableToIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_LeaseAndGuaranteeDeposits" xlink:label="LeaseAndGuaranteeDeposits" />
    <link:label xlink:type="resource" xlink:label="label_LeaseAndGuaranteeDeposits" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_LeaseAndGuaranteeDeposits">Lease and guarantee deposits</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeaseAndGuaranteeDeposits" xlink:to="label_LeaseAndGuaranteeDeposits" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_MiyataYukoMember" xlink:label="MiyataYukoMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_RentalIncome2IFRS" xlink:label="RentalIncome2IFRS" />
    <link:label xlink:type="resource" xlink:label="label_RentalIncome2IFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_RentalIncome2IFRS">Rental income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentalIncome2IFRS" xlink:to="label_RentalIncome2IFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_RevenueFromExternalCustomersIFRS" xlink:label="RevenueFromExternalCustomersIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RevenueFromExternalCustomersIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_RevenueFromExternalCustomersIFRS">Revenue from external customers</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevenueFromExternalCustomersIFRS" xlink:to="label_RevenueFromExternalCustomersIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SegmentProfitLossIFRS" xlink:label="SegmentProfitLossIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SegmentProfitLossIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SegmentProfitLossIFRS">Segment profit (loss)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SegmentProfitLossIFRS" xlink:to="label_SegmentProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_OtherIncomeAndExpensesNetIFRS" xlink:label="OtherIncomeAndExpensesNetIFRS" />
    <link:label xlink:type="resource" xlink:label="label_OtherIncomeAndExpensesNetIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_OtherIncomeAndExpensesNetIFRS">Other income and expenses, net</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherIncomeAndExpensesNetIFRS" xlink:to="label_OtherIncomeAndExpensesNetIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" xlink:label="IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" xlink:label="RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" xlink:label="IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ComprehensiveIncomeIFRS" xlink:label="ComprehensiveIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ComprehensiveIncomeIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_ComprehensiveIncomeIFRS">Total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeIFRS" xlink:to="label_ComprehensiveIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_EquityIFRSMember" xlink:label="EquityIFRSMember" />
    <link:label xlink:type="resource" xlink:label="label_EquityIFRSMember" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_EquityIFRSMember">Total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityIFRSMember" xlink:to="label_EquityIFRSMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_DividendsSSIFRS" xlink:label="DividendsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DividendsSSIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_DividendsSSIFRS">Dividends</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsSSIFRS" xlink:to="label_DividendsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ExerciseOfShareAcquisitionRightsSSIFRS" xlink:label="ExerciseOfShareAcquisitionRightsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ExerciseOfShareAcquisitionRightsSSIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ExerciseOfShareAcquisitionRightsSSIFRS">Exercise of share acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ExerciseOfShareAcquisitionRightsSSIFRS" xlink:to="label_ExerciseOfShareAcquisitionRightsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:label="TotalTransactionsWithOwnersIFRS" />
    <link:label xlink:type="resource" xlink:label="label_TotalTransactionsWithOwnersIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_TotalTransactionsWithOwnersIFRS">Total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalTransactionsWithOwnersIFRS" xlink:to="label_TotalTransactionsWithOwnersIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS" xlink:label="DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS">Decrease (increase) in trade and other receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInTradeAndOtherReceivablesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_DecreaseIncreaseInInventoriesOpeCFIFRS" xlink:label="DecreaseIncreaseInInventoriesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInInventoriesOpeCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_DecreaseIncreaseInInventoriesOpeCFIFRS">Decrease (increase) in inventories</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInInventoriesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInInventoriesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS" xlink:label="IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS">Increase (decrease) in trade and other payables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS" xlink:to="label_IncreaseDecreaseInTradeAndOtherPayablesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CapitalContributionFromNonControllingInterestsFinCFIFRS" xlink:label="CapitalContributionFromNonControllingInterestsFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CapitalContributionFromNonControllingInterestsFinCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_CapitalContributionFromNonControllingInterestsFinCFIFRS">Capital contribution from non-controlling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapitalContributionFromNonControllingInterestsFinCFIFRS" xlink:to="label_CapitalContributionFromNonControllingInterestsFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_DividendsPaidFinCFIFRS" xlink:label="DividendsPaidFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DividendsPaidFinCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_DividendsPaidFinCFIFRS">Dividends paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsPaidFinCFIFRS" xlink:to="label_DividendsPaidFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03468-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03468-000_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" xlink:label="CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:label="SoftwareAcquisitionCostIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareAcquisitionCostIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareAcquisitionCostIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareAcquisitionCostIFRS" xlink:to="label_SoftwareAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareIFRS" xlink:label="SoftwareIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareIFRS" xlink:to="label_SoftwareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_GoodwillAndIntangibleAssetsIFRS" xlink:label="GoodwillAndIntangibleAssetsIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GoodwillAndIntangibleAssetsIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_GoodwillAndIntangibleAssetsIFRS">Goodwill and intangible assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GoodwillAndIntangibleAssetsIFRS" xlink:to="label_GoodwillAndIntangibleAssetsIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BorrowingsCLIFRS" xlink:label="BorrowingsCLIFRS" />
    <link:label xlink:type="resource" xlink:label="label_BorrowingsCLIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_BorrowingsCLIFRS">Borrowings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BorrowingsCLIFRS" xlink:to="label_BorrowingsCLIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CurrentPortionOfLongTermBorrowingsCLIFRS" xlink:label="CurrentPortionOfLongTermBorrowingsCLIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CurrentPortionOfLongTermBorrowingsCLIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_CurrentPortionOfLongTermBorrowingsCLIFRS">Current portion of long-term borrowings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentPortionOfLongTermBorrowingsCLIFRS" xlink:to="label_CurrentPortionOfLongTermBorrowingsCLIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BorrowingsNCLIFRS" xlink:label="BorrowingsNCLIFRS" />
    <link:label xlink:type="resource" xlink:label="label_BorrowingsNCLIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_BorrowingsNCLIFRS">Borrowings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BorrowingsNCLIFRS" xlink:to="label_BorrowingsNCLIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_OperatingProfitLossIFRS" xlink:label="OperatingProfitLossIFRS" />
    <link:label xlink:type="resource" xlink:label="label_OperatingProfitLossIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_OperatingProfitLossIFRS">Operating profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProfitLossIFRS" xlink:to="label_OperatingProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS" xlink:label="ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS">Share of profit (loss) of investments accounted for using equity method</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS" xlink:to="label_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethodIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLossBeforeTaxIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_ProfitLossBeforeTaxIFRS">Profit or Loss before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxIFRS" xlink:to="label_ProfitLossBeforeTaxIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLossBeforeTaxIFRS_2" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/negativeLabel" id="label_ProfitLossBeforeTaxIFRS_2">Loss before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxIFRS" xlink:to="label_ProfitLossBeforeTaxIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLossIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_ProfitLossIFRS">Profit or Loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossIFRS" xlink:to="label_ProfitLossIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLossIFRS_2" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/negativeLabel" id="label_ProfitLossIFRS_2">Loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossIFRS" xlink:to="label_ProfitLossIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_EarningsLossPerShareIFRSAbstract" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/positiveLabel" id="label_EarningsLossPerShareIFRSAbstract">Earnings per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EarningsLossPerShareIFRSAbstract" xlink:to="label_EarningsLossPerShareIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BasicEarningsLossPerShareIFRS" xlink:label="BasicEarningsLossPerShareIFRS" />
    <link:label xlink:type="resource" xlink:label="label_BasicEarningsLossPerShareIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_BasicEarningsLossPerShareIFRS">Basic earnings oe Loss per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicEarningsLossPerShareIFRS" xlink:to="label_BasicEarningsLossPerShareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_DilutedEarningsLossPerShareIFRS" xlink:label="DilutedEarningsLossPerShareIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DilutedEarningsLossPerShareIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_DilutedEarningsLossPerShareIFRS">Diluted earnings or Loss per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DilutedEarningsLossPerShareIFRS" xlink:to="label_DilutedEarningsLossPerShareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_FinanceIncomeAndExpensesNetIFRS" xlink:label="FinanceIncomeAndExpensesNetIFRS" />
    <link:label xlink:type="resource" xlink:label="label_FinanceIncomeAndExpensesNetIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_FinanceIncomeAndExpensesNetIFRS">Finance income and expenses, net</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeAndExpensesNetIFRS" xlink:to="label_FinanceIncomeAndExpensesNetIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionAboutRoundingFinancialInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionAboutRoundingFinancialInformation">Description about rounding</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionAboutRoundingFinancialInformation" xlink:to="label_DescriptionAboutRoundingFinancialInformation" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionAboutRoundingFinancialInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionAboutRoundingFinancialInformation_2">Description about rounding,Financial information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionAboutRoundingFinancialInformation" xlink:to="label_DescriptionAboutRoundingFinancialInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentAndSuppliesExpensesSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EquipmentAndSuppliesExpensesSGA">Equipment and supplies expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentAndSuppliesExpensesSGA" xlink:to="label_EquipmentAndSuppliesExpensesSGA" />
    <link:label xlink:type="resource" xlink:label="label_EquipmentAndSuppliesExpensesSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EquipmentAndSuppliesExpensesSGA_2">Equipment and supplies expenses -SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquipmentAndSuppliesExpensesSGA" xlink:to="label_EquipmentAndSuppliesExpensesSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingCostOfSalesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingCostOfSalesTextBlock">Notes regarding cost of sales</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingCostOfSalesTextBlock" xlink:to="label_NotesRegardingCostOfSalesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingCostOfSalesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingCostOfSalesTextBlock_2">Notes regarding cost of sales [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingCostOfSalesTextBlock" xlink:to="label_NotesRegardingCostOfSalesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernmentGrantsNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernmentGrantsNOI_2">Government grants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernmentGrantsNOI" xlink:to="label_GovernmentGrantsNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernmentGrantsNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernmentGrantsNOI">Government grants-NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernmentGrantsNOI" xlink:to="label_GovernmentGrantsNOI" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForDoubtfulReceivablesEI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalOfAllowanceForDoubtfulReceivablesEI_2">Reversal of allowance for doubtful receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForDoubtfulReceivablesEI" xlink:to="label_ReversalOfAllowanceForDoubtfulReceivablesEI_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForDoubtfulReceivablesEI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalOfAllowanceForDoubtfulReceivablesEI">Reversal of allowance for doubtful receivables -EI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForDoubtfulReceivablesEI" xlink:to="label_ReversalOfAllowanceForDoubtfulReceivablesEI" />
    <link:label xlink:type="resource" xlink:label="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS_2">Accumulation of legal reserves associated with dividends of surplus</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" xlink:to="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS_2" />
    <link:label xlink:type="resource" xlink:label="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS">Accumulation of legal reserves associated with dividends of surplus-SS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" xlink:to="label_AccumulationOfLegalReservesAssociatedWithDividendsOfSurplusSS" />
    <link:label xlink:type="resource" xlink:label="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS">Reversal provision for loss on store closing</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" xlink:to="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS_2">Reversal provision for loss on store closing, Other operating income (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS" xlink:to="label_ReversalProvisionForLossOnStoreClosingOtherOperatingIncomeIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS">Gain on cancellation of lease contracts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" xlink:to="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS_2">Gain on cancellation of lease contracts, Other operating income (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS" xlink:to="label_GainOnCancellationOfLeaseContractsOtherOperatingIncomeIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_AllOtherSegmentsNotReportableIFRSAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AllOtherSegmentsNotReportableIFRSAbstract">Other segment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AllOtherSegmentsNotReportableIFRSAbstract" xlink:to="label_AllOtherSegmentsNotReportableIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AllOtherSegmentsNotReportableIFRSAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AllOtherSegmentsNotReportableIFRSAbstract_2">All other segments not reportable (IFRS) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AllOtherSegmentsNotReportableIFRSAbstract" xlink:to="label_AllOtherSegmentsNotReportableIFRSAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_MarugameSeimenSegmentReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MarugameSeimenSegmentReportableSegmentMember">Marugame seimen segment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MarugameSeimenSegmentReportableSegmentMember" xlink:to="label_MarugameSeimenSegmentReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_MarugameSeimenSegmentReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MarugameSeimenSegmentReportableSegmentMember_2">Marugame seimen segment, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MarugameSeimenSegmentReportableSegmentMember" xlink:to="label_MarugameSeimenSegmentReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OthersSegmentReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OthersSegmentReportableSegmentMember">Others segment, Reportable segment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OthersSegmentReportableSegmentMember" xlink:to="label_OthersSegmentReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_OthersSegmentReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OthersSegmentReportableSegmentMember_2">Others segment, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OthersSegmentReportableSegmentMember" xlink:to="label_OthersSegmentReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OverseasSegmentReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OverseasSegmentReportableSegmentMember">Overseas segment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OverseasSegmentReportableSegmentMember" xlink:to="label_OverseasSegmentReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_OverseasSegmentReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OverseasSegmentReportableSegmentMember_2">Overseas segment, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OverseasSegmentReportableSegmentMember" xlink:to="label_OverseasSegmentReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS">Issuance of convertible bonds with stock acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" xlink:to="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS_2">Issuance of convertible bonds with stock acquisition rights - SS(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS" xlink:to="label_IssuanceOfConvertibleBondsWithStockAcquisitionRightsSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_OtherEquityInstrumentsIFRSMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtherEquityInstrumentsIFRSMember">Other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherEquityInstrumentsIFRSMember" xlink:to="label_OtherEquityInstrumentsIFRSMember" />
    <link:label xlink:type="resource" xlink:label="label_OtherEquityInstrumentsIFRSMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtherEquityInstrumentsIFRSMember_2">Other equity instruments (IFRS) [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherEquityInstrumentsIFRSMember" xlink:to="label_OtherEquityInstrumentsIFRSMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS">Dividends to owners of other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" xlink:to="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS_2">Dividends to owners of other equity instruments - SS (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsToOwnersOfOtherEquityInstrumentsSSIFRS" xlink:to="label_DividendsToOwnersOfOtherEquityInstrumentsSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_PutOptionGrantedNonCurrentAssetSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PutOptionGrantedNonCurrentAssetSSIFRS">put option granted non-current asset</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PutOptionGrantedNonCurrentAssetSSIFRS" xlink:to="label_PutOptionGrantedNonCurrentAssetSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_PutOptionGrantedNonCurrentAssetSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PutOptionGrantedNonCurrentAssetSSIFRS_2">put option granted non-current asset - SS(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PutOptionGrantedNonCurrentAssetSSIFRS" xlink:to="label_PutOptionGrantedNonCurrentAssetSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS">Issuance of other equity financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" xlink:to="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS_2">Issuance of other equity financial instruments - SS (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuanceOfOtherEquityFinancialInstrumentsSSIFRS" xlink:to="label_IssuanceOfOtherEquityFinancialInstrumentsSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS">Redemption of other equity financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" xlink:to="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS_2">Redemption of other equity financial instruments - SS(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfOtherEquityFinancialInstrumentsSSIFRS" xlink:to="label_RedemptionOfOtherEquityFinancialInstrumentsSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS">Payments of construction assistance fund receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:to="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS_2">Payments of construction assistance fund receivables - InvCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:to="label_PaymentsOfConstructionAssistanceFundReceivablesInvCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS">Collections of construction assistance fund receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:to="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS_2">Collections of construction assistance fund receivables - InvCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS" xlink:to="label_CollectionsOfConstructionAssistanceFundReceivablesInvCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS">Proceeds from issuance of other equity financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:to="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS_2">Proceeds from issuance of other equity financial instruments - FinCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:to="label_ProceedsFromIssuanceOfOtherEquityFinancialInstrumentsFinCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS">Redemption of other equity financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:to="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS_2">Redemption of other equity financial instruments - FinCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS" xlink:to="label_RedemptionOfOtherEquityFinancialInstrumentsFinCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS">Dividends to owners of other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" xlink:to="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS_2">Dividends to owners of other equity instruments - FinCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS" xlink:to="label_DividendsToOwnersOfOtherEquityInstrumentsFinCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS">Costs relating to outsourcing contracts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" xlink:to="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS_2">Costs relating to outsourcing contracts, Other operating expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS" xlink:to="label_CostsRelatingToOutsourcingContractsOtherOperatingExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS">Provision of allowance for doubtful accounts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" xlink:to="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS_2">Provision of allowance for doubtful accounts, Other operating expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS" xlink:to="label_ProvisionOfAllowanceForDoubtfulAccountsOtherOperatingExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS">Provision for loss on store closing expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" xlink:to="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS_2">Provision for loss on store closing expenses, Other operating expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS" xlink:to="label_ProvisionForLossOnStoreClosingExpensesOtherOperatingExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnStoreClosingsOtherOperatingExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnStoreClosingsOtherOperatingExpensesIFRS">Loss on store closings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnStoreClosingsOtherOperatingExpensesIFRS" xlink:to="label_LossOnStoreClosingsOtherOperatingExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_LossOnStoreClosingsOtherOperatingExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnStoreClosingsOtherOperatingExpensesIFRS_2">Loss on store closings, Other operating expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnStoreClosingsOtherOperatingExpensesIFRS" xlink:to="label_LossOnStoreClosingsOtherOperatingExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementAcquisitionCostIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FranchiseAgreementAcquisitionCostIFRS">Franchise Agreement</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementAcquisitionCostIFRS" xlink:to="label_FranchiseAgreementAcquisitionCostIFRS" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementAcquisitionCostIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FranchiseAgreementAcquisitionCostIFRS_2">Franchise Agreement , Acquisition cost (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementAcquisitionCostIFRS" xlink:to="label_FranchiseAgreementAcquisitionCostIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS">Franchise Agreement</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS_2">Franchise Agreement , Accumulated amortization and impairment losses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="label_FranchiseAgreementAccumulatedAmortizationAndImpairmentLossesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FranchiseAgreementIFRS">Franchise Agreement</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementIFRS" xlink:to="label_FranchiseAgreementIFRS" />
    <link:label xlink:type="resource" xlink:label="label_FranchiseAgreementIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FranchiseAgreementIFRS_2">Franchise Agreement (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FranchiseAgreementIFRS" xlink:to="label_FranchiseAgreementIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceHumanCapitalTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceHumanCapitalTextBlock_2">Governance, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceHumanCapitalTextBlock" xlink:to="label_GovernanceHumanCapitalTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceHumanCapitalTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceHumanCapitalTextBlock">Governance, Human capital [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceHumanCapitalTextBlock" xlink:to="label_GovernanceHumanCapitalTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyHumanCapitalTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyHumanCapitalTextBlock_2">Strategy, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyHumanCapitalTextBlock" xlink:to="label_StrategyHumanCapitalTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyHumanCapitalTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyHumanCapitalTextBlock">Strategy, Human capital [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyHumanCapitalTextBlock" xlink:to="label_StrategyHumanCapitalTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsHumanCapitalTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsHumanCapitalTextBlock_2">Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsHumanCapitalTextBlock" xlink:to="label_MetricsAndTargetsHumanCapitalTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsHumanCapitalTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsHumanCapitalTextBlock">Metrics and targets, Human capital [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsHumanCapitalTextBlock" xlink:to="label_MetricsAndTargetsHumanCapitalTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementHumanCapitalTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementHumanCapitalTextBlock_2">Risk management,Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementHumanCapitalTextBlock" xlink:to="label_RiskManagementHumanCapitalTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementHumanCapitalTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementHumanCapitalTextBlock">Risk management,Human capital [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementHumanCapitalTextBlock" xlink:to="label_RiskManagementHumanCapitalTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading">Notes - Other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" xlink:to="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" />
    <link:label xlink:type="resource" xlink:label="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading_2">Notes - Other equity instruments, Consolidated financial statements (IFRS) [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading" xlink:to="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock">Notes - Other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock_2">Notes - Other equity instruments, Consolidated financial statements (IFRS) [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="label_NotesOtherEquityInstrumentsConsolidatedFinancialStatementsIFRSTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_CurrentMaturityBondsCLIFRSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CurrentMaturityBondsCLIFRSIFRS">Current maturity bonds</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentMaturityBondsCLIFRSIFRS" xlink:to="label_CurrentMaturityBondsCLIFRSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CurrentMaturityBondsCLIFRSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CurrentMaturityBondsCLIFRSIFRS_2">Current maturity bonds - CL (IFRS) (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentMaturityBondsCLIFRSIFRS" xlink:to="label_CurrentMaturityBondsCLIFRSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_OtherEquityInstrumentsEquityIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtherEquityInstrumentsEquityIFRS">Other equity instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherEquityInstrumentsEquityIFRS" xlink:to="label_OtherEquityInstrumentsEquityIFRS" />
    <link:label xlink:type="resource" xlink:label="label_OtherEquityInstrumentsEquityIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtherEquityInstrumentsEquityIFRS_2">Other equity instruments - Equity (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherEquityInstrumentsEquityIFRS" xlink:to="label_OtherEquityInstrumentsEquityIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_AwataTakayaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AwataTakayaMember">Awata, Takaya [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AwataTakayaMember" xlink:to="label_AwataTakayaMember" />
    <link:label xlink:type="resource" xlink:label="label_AwataTakayaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AwataTakayaMember_2">Awata, Takaya</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AwataTakayaMember" xlink:to="label_AwataTakayaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamaguchiSatoshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamaguchiSatoshiMember_2">Yamaguchi, Satoshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamaguchiSatoshiMember" xlink:to="label_YamaguchiSatoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamaguchiSatoshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamaguchiSatoshiMember">Yamaguchi, Satoshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamaguchiSatoshiMember" xlink:to="label_YamaguchiSatoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_TanakaKenichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TanakaKenichiMember_2">Tanaka, Kenichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TanakaKenichiMember" xlink:to="label_TanakaKenichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TanakaKenichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TanakaKenichiMember">Tanaka, Kenichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TanakaKenichiMember" xlink:to="label_TanakaKenichiMember" />
    <link:label xlink:type="resource" xlink:label="label_ShofuRiekoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShofuRiekoMember_2">Shofu, Rieko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShofuRiekoMember" xlink:to="label_ShofuRiekoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ShofuRiekoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShofuRiekoMember">Shofu, Rieko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShofuRiekoMember" xlink:to="label_ShofuRiekoMember" />
    <link:label xlink:type="resource" xlink:label="label_KataokaMakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KataokaMakiMember">Kataoka, Maki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KataokaMakiMember" xlink:to="label_KataokaMakiMember" />
    <link:label xlink:type="resource" xlink:label="label_KataokaMakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KataokaMakiMember_2">Kataoka, Maki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KataokaMakiMember" xlink:to="label_KataokaMakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyataYukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyataYukoMember_2">Miyata, Yuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataYukoMember" xlink:to="label_MiyataYukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyataYukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyataYukoMember">Miyata, Yuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataYukoMember" xlink:to="label_MiyataYukoMember" />
    <link:label xlink:type="resource" xlink:label="label_SugiyamaTakashiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SugiyamaTakashiMember">Sugiyama, Takashi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SugiyamaTakashiMember" xlink:to="label_SugiyamaTakashiMember" />
    <link:label xlink:type="resource" xlink:label="label_SugiyamaTakashiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SugiyamaTakashiMember_2">Sugiyama, Takashi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SugiyamaTakashiMember" xlink:to="label_SugiyamaTakashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmekiToshiyasuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmekiToshiyasuMember">Umeki, Toshiyasu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmekiToshiyasuMember" xlink:to="label_UmekiToshiyasuMember" />
    <link:label xlink:type="resource" xlink:label="label_UmekiToshiyasuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmekiToshiyasuMember_2">Umeki, Toshiyasu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmekiToshiyasuMember" xlink:to="label_UmekiToshiyasuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmedaHiroakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmedaHiroakiMember">Umeda, Hiroaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaHiroakiMember" xlink:to="label_UmedaHiroakiMember" />
    <link:label xlink:type="resource" xlink:label="label_UmedaHiroakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmedaHiroakiMember_2">Umeda, Hiroaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaHiroakiMember" xlink:to="label_UmedaHiroakiMember_2" />
  </link:labelLink>
</link:linkbase>